<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('claim_daily_monitoring', function (Blueprint $table) {
            $table->id();
            $table->integer('claim_id');
            $table->text('subject');
            $table->decimal('body_temperature', 11, 2);
            $table->decimal('respiration_rate', 11, 2);
            $table->decimal('sistole', 11, 2);
            $table->decimal('diastole', 11, 2);
            $table->text('analysis');
            $table->text('complaints');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('claim_daily_monitoring');
    }
};
